import { Router } from "express";
import { promRegister } from "modules/prometheus";

export const metricsRouter: Router = Router();

metricsRouter.get("/", async (req, res) => {
	res.setHeader("Content-Type", promRegister.contentType);
	res.end(await promRegister.metrics());
});
